LV2 1.0.13

Modules | Data Structures | Typedefs | Macros
Log

## Detailed Description

Interface for plugins to log via the host; see http://lv2plug.in/ns/ext/log for details.

## Modules
| Logger

## Data Structures
struct | LV2_Log_Log

## Typedefs
typedef void * | LV2_Log_Handle

## Macros
#define | LV2_LOG_URI "http://lv2plug.in/ns/ext/log"
#define | LV2_LOG_PREFIX LV2_LOG_URI "#"
#define | LV2_LOG__Entry LV2_LOG_PREFIX "Entry"
#define | LV2_LOG__Error LV2_LOG_PREFIX "Error"
#define | LV2_LOG__Note LV2_LOG_PREFIX "Note"
#define | LV2_LOG__Trace LV2_LOG_PREFIX "Trace"
#define | LV2_LOG__Warning LV2_LOG_PREFIX "Warning"
#define | LV2_LOG__log LV2_LOG_PREFIX "log"

## Data Structure Documentation

## ◆ LV2_Log_Log

struct LV2_Log_Log

Log feature (LV2_LOG__log)

### Data Fields
LV2_Log_Handle | handle
int(* | printf )(LV2_Log_Handle handle, LV2_URID type, const char *fmt,...)
int(* | vprintf )(LV2_Log_Handle handle, LV2_URID type, const char *fmt, va_list ap)

#### Field Documentation

## ◆ handle

LV2_Log_Handle LV2_Log_Log::handle

Opaque pointer to host data.

This MUST be passed to methods in this struct whenever they are called. Otherwise, it must not be interpreted in any way.

## ◆ printf

int(* LV2_Log_Log::printf) (LV2_Log_Handle handle, LV2_URID type, const char *fmt,...)

Log a message, passing format parameters directly.

The API of this function matches that of the standard C printf function, except for the addition of the first two parameters. This function may be called from any non-realtime context, or from any context if `type` is LV2_LOG__Trace.

## ◆ vprintf

int(* LV2_Log_Log::vprintf) (LV2_Log_Handle handle, LV2_URID type, const char *fmt, va_list ap)

Log a message, passing format parameters in a va_list.

The API of this function matches that of the standard C vprintf function, except for the addition of the first two parameters. This function may be called from any non-realtime context, or from any context if `type` is LV2_LOG__Trace.

## Macro Definition Documentation

## ◆ LV2_LOG_URI

#define LV2_LOG_URI "http://lv2plug.in/ns/ext/log"

http://lv2plug.in/ns/ext/log

## ◆ LV2_LOG_PREFIX

#define LV2_LOG_PREFIX LV2_LOG_URI "#"

http://lv2plug.in/ns/ext/log#

## ◆ LV2_LOG__Entry

#define LV2_LOG__Entry LV2_LOG_PREFIX "Entry"

http://lv2plug.in/ns/ext/log#Entry

## ◆ LV2_LOG__Error

#define LV2_LOG__Error LV2_LOG_PREFIX "Error"

http://lv2plug.in/ns/ext/log#Error

## ◆ LV2_LOG__Note

#define LV2_LOG__Note LV2_LOG_PREFIX "Note"

http://lv2plug.in/ns/ext/log#Note

## ◆ LV2_LOG__Trace

#define LV2_LOG__Trace LV2_LOG_PREFIX "Trace"

http://lv2plug.in/ns/ext/log#Trace

## ◆ LV2_LOG__Warning

#define LV2_LOG__Warning LV2_LOG_PREFIX "Warning"

http://lv2plug.in/ns/ext/log#Warning

## ◆ LV2_LOG__log

#define LV2_LOG__log LV2_LOG_PREFIX "log"

http://lv2plug.in/ns/ext/log#log

## Typedef Documentation

## ◆ LV2_Log_Handle

typedef void* LV2_Log_Handle

Opaque data to host data for LV2_Log_Log.